org.apache.felix.bundlerepository.impl

## Class SpecXMLPullParser

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.SpecXMLPullParser

    public class SpecXMLPullParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SpecXMLPullParser()`

### Method Summary

Methods
`static RepositoryImpl` `parse(org.xmlpull.v1.XmlPullParser reader, java.lang.String repositoryURI)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpecXMLPullParser

    public SpecXMLPullParser()

### Method Detail

#### parse

    public static RepositoryImpl parse(org.xmlpull.v1.XmlPullParser reader,
                       java.lang.String repositoryURI)
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`